summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2012-12-16 16:45:39 +0100
committerHolger Levsen <holger@layer-acht.org>2012-12-16 16:45:39 +0100
commit0243d098db2a1bfa4ac068a77089b7670d29ec79 (patch)
treef62e5b122d9c120272d2d5130ba031d367def2e4 /bin
parent93ea7952c1eaf5a99d12cda55ef3cf512d25e81d (diff)
downloadjenkins.debian.net-0243d098db2a1bfa4ac068a77089b7670d29ec79.tar.xz
fixup check_for_mounted_chroots
Diffstat (limited to 'bin')
-rwxr-xr-xbin/housekeeping.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/bin/housekeeping.sh b/bin/housekeeping.sh
index fb1db6b3..87bf204b 100755
--- a/bin/housekeeping.sh
+++ b/bin/housekeeping.sh
@@ -11,8 +11,8 @@ set -e
check_for_mounted_chroots() {
CHROOT_PATTERN="/chroots/${1}-*"
- OUTPUT=$(ls $CHROOT_PATTERN 2>/dev/null)
- if [ "$OUTPUT" != "" ] ; then
+ OUTPUT=$(ls $CHROOT_PATTERN 2>/dev/null) || true
+ if [ ! -z $OUTPUT ] ; then
figlet "Warning:"
echo
echo "Probably manual cleanup needed:"